Subject: Re: [X2Go-User] pyhoca-gui error
From: Mike Gabriel <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 13 Oct 2013 08:32:54 +0000

Package: pyhoca-gui
Severity: important
Version: 0.4.0.8

Hi Mathias,

On  Sa 12 Okt 2013 11:50:08 CEST, Mathias Ewald wrote:

> Hi, connecting to my server I get this since the day before  
> yesterday: Dunno what changed ...
>
> mathias@x220:~$ pyhoca-gui --debug
> Xlib.protocol.request.QueryExtension
> pyhoca-gui[15814] (PyHoca-GUI) DEBUG: PyHoca-GUI's user interface  
> language is: en_US.
> pyhoca-gui[15814] (PyHoca-GUI) INFO: PyHoca GUI is starting up
> pyhoca-gui[15814] (PyHoca-GUI) INFO: start TaskBarIcon of type:  
> ('__WXGTK__', 'wxGTK', 'unicode', 'gtk2', 'wx-assertions-off',  
> 'SWIG-1.3.29')
> pyhoca-gui[15814] (PyHoca-GUI) WARN: the current release of  
> PyHoca-GUI does not support client configuration
> pyhoca-gui[15814] (x2gosessregistry-pylib) NOTICE: registering X2Go  
> session **********...
> pyhoca-gui[15814] (x2goclient-pylib) NOTICE: initializing X2Go session...
> pyhoca-gui[15814] (x2gocontrolsession-pylib) NOTICE: connecting to  
> [**********]:22
> pyhoca-gui[15814] (PyHoca-GUI) INFO: SSH key authentication to  
> server failed, trying next auth-mechanism
> pyhoca-gui[15814] (PyHoca-GUI) INFO: password dialog box started
> pyhoca-gui[15814] (x2gocontrolsession-pylib) NOTICE: connecting to  
> [**********]:22
> pyhoca-gui[15814] (PyHoca-GUI) NOTICE: [********** - connect]  
> Authentication has been successful.
> Traceback (most recent call last):
>   File "/usr/lib/python2.7/dist-packages/pyhoca/wxgui/logon.py",  
> line 438, in OnLogin
>     self._PyHocaGUI.notifier.send(self.current_profile_name,  
> context='AUTH_%s' % self.current_profile_name, timeout=4000)
>   File "/usr/lib/python2.7/dist-packages/pyhoca/wxgui/notify.py",  
> line 137, in send
>     if not n.show():
> glib.GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown:  
> The name org.freedesktop.Notifications was not provided by any  
> .service files
> pyhoca-gui[15814] (PyHoca-GUI) INFO: exit application
> mathias@x220:~$
>
> For some reaseon pub key auth doesn't work anymore and even with  
> password auth it shows this error message.

You need one of the many tools providing a notification-daemon. Please  
install the appropriate notification-daemon package for your system:

dunst - Minimalistischer Benachrichtigungs-Daemon
libnotify4 - sendet Arbeitsflächenmeldungen an einen Meldungsdienst
notification-daemon - Daemon für die Anzeige aufklappender Nachrichten
notify-osd - Daemon, der passive Popup-Benachrichtigungen anzeigt
plasma-widgets-workspace - Plasma-Widgets und Widget-Gruppen für die  
KDE-Plasma-Arbeitsfläche
xfce4-notifyd - Einfacher, visuell ansprechender Meldungsdienst für Xfce
mate-notification-daemon - daemon to displays passive pop-up notifications

In newer distro versions, there is no dbus service file provide  
anymore, the notification-daemon needs to be launched via  
/etc/xdg/autostart/...

The fix in PyHoca-GUI will be not make pyhoca-gui execute without  
errors even if no notification-daemon is installed/started.

Regards,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb